2026.34 Infrastructure Changes
3 min read
Changes on Application environment
Change | Environment Variable Name | Application Default Value | Example | Required | Applications | Short Description |
|---|---|---|---|---|---|---|
Added |
|
|
| false |
| Enables chat owners to share a snapshot of a chat with users/groups allowed by the company sharing policy, and recipients can continue it as a private chat. The audience is controlled via the |
Removed |
| - | - | - |
| Can Answer feature is GA now. |
Removed |
| - | - | - |
| No longer read from env on this service — setting it here has no effect. Now registered in the FF service instead (see row below). |
Added |
|
|
| false |
| Wraps Code Execution tool output in a fenced block. Now registered in the FF service and toggleable per-tenant via the admin UI. Default is |
Removed |
| - | - | - |
| No longer read from env on this service — setting it here has no effect. Now registered in the FF service instead (see row below). |
Added |
|
|
| false |
| Wraps HTML rendering output in a fenced block. Now registered in the FF service and toggleable per-tenant via the admin UI. Default is |
Removed |
| all | This is GA, the env was still present defaulting to true, but now it was completely removed from the codebase. | |||
Added |
|
|
| false |
| Appends the GraphQL operation name to request URLs ( |
Added |
|
|
| false |
| Switches to the new banner notification admin page and banner view. When enabled, the legacy Banner admin page and the legacy notification banner are hidden. Toggleable per tenant via the admin UI. |
Added |
|
|
| false |
| Users with the |
Code-execution/HTML fence flags moved to the FF service
The two feature flags for code execution have now been consolidated into the backend-service-configuration as well and no longer live in the ai-service-assistants-core.
The following flags have been moved:
FEATURE_FLAG_ENABLE_CODE_EXECUTION_FENCE_UN_17972FEATURE_FLAG_ENABLE_HTML_WITH_FENCE_UN_17927
These Feature Flags can now be controlled as environment variables on the backend-service-configuration service or in the Feature Flag Admin UI (currently only accessible by Unique Admins).
Defaults to false - if you had these flags previously enabled on ai-service-assistants-core make sure you enable them again when moving them to backend-service-configuration.
Shared Chats feature setup
Enabling the Shared Chats feature requires enabling a feature flag and adding a sharing policy to the company settings.
FEATURE_FLAG_ENABLE_SHARED_CHATS_UN_19869needs to be set on thebackend-service-configuration(or via Feature Flag Admin UI)Company sharing audience set via the
chatSharingPolicycompany configuration
Setting the company configuration setting for the sharing policy is currently only possible via API (GraphQL). Here is how to do that:
Query the current company configuration
curl --location 'https://api.<base-url>/chat/graphql' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <YOUR TOKEN>' \ --data '{"query":"query Company {\n company {\n configuration\n }\n}\n","variables":{}}'This will give you a JSON with the existing company configuration. Use that and append it for the next step.
Append the
chatSharingPolicyto the existing configuration
Possible values arespaceMembersorallCompany.bashcurl --location 'https://api.<base-url>/chat/graphql' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <YOUR TOKEN>' \ --data '{"query":"mutation CompanyUpdateData($input: CompanyUpdateInput!) {\n companyUpdateData(\n input: $input\n ) {\n configuration\n }\n}","variables":{"input":{"configuration":{"referenceStyle":"style2", <...others>, "chatSharingPolicy":"spaceMembers"}}}}'